Bug 110542 - [chromium] enable the fixed version of freetype on linux
Summary: [chromium] enable the fixed version of freetype on linux
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dirk Pranke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 18:25 PST by Dirk Pranke
Modified: 2013-02-26 15:44 PST (History)
3 users (show)

See Also:


Attachments
Patch (3.78 KB, patch)
2013-02-21 18:28 PST, Dirk Pranke
no flags Details | Formatted Diff | Diff
patch for landing (3.81 KB, patch)
2013-02-26 15:44 PST, Dirk Pranke
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Pranke 2013-02-21 18:25:52 PST
[chromium] enable the fixed version of freetype on linux
Comment 1 Dirk Pranke 2013-02-21 18:28:51 PST
Created attachment 189657 [details]
Patch
Comment 2 Dirk Pranke 2013-02-21 18:30:58 PST
Jochen - I haven't yet looked at what'll need to change in content_shell (if anything) for this, but it is on my to-do list.
Comment 3 Tony Chang 2013-02-22 09:47:13 PST
Comment on attachment 189657 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=189657&action=review

> LayoutTests/platform/chromium/TestExpectations:4420
> +# These pass on Lucid and fail on Precise; font differences, maybe?

Please add a note here that we should rebaseline when dropping Lucid.  I worry that we're going to forget about this :/
Comment 4 Dirk Pranke 2013-02-22 13:30:00 PST
(In reply to comment #3)
> (From update of attachment 189657 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=189657&action=review
> 
> > LayoutTests/platform/chromium/TestExpectations:4420
> > +# These pass on Lucid and fail on Precise; font differences, maybe?
> 
> Please add a note here that we should rebaseline when dropping Lucid.  I worry that we're going to forget about this :/

Will do. However, it's also possible that I'll fix this when/if we switch to using a fixed set of version-controlled fonts.
Comment 5 Dirk Pranke 2013-02-22 14:14:29 PST
Committed r143794: <http://trac.webkit.org/changeset/143794>
Comment 6 Dirk Pranke 2013-02-22 16:23:42 PST
Reverted r143794 for reason:

debug linux builds broken?

Committed r143813: <http://trac.webkit.org/changeset/143813>
Comment 7 Dirk Pranke 2013-02-26 15:44:24 PST
Created attachment 190378 [details]
patch for landing
Comment 8 Dirk Pranke 2013-02-26 15:44:55 PST
Committed r144116: <http://trac.webkit.org/changeset/144116>